## ros-humble-rcl-yaml-param-parser 5.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rcl_yaml_param_parser)

find_package(ament_cmake_ros REQUIRED)
find_package(rcutils REQUIRED)
find_package(rmw REQUIRED)
find_package(libyaml_vendor REQUIRED)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_C_COMPILER_ID MATCHES "Clang")
  add_compile_options(
    -Wall -Wextra -Wpedantic
    -Wformat=2 -Wconversion -Wsign-conversion
  )
endif()

set(rcl_yaml_parser_sources
  src/add_to_arrays.c
  src/namespace.c
  src/node_params.c
  src/parse.c
  src/parser.c
  src/yaml_variant.c
)

add_library(
  ${PROJECT_NAME}
  ${rcl_yaml_parser_sources})
target_include_directories(${PROJECT_NAME} PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include/${PROJECT_NAME}>")
ament_target_dependencies(${PROJECT_NAME} "libyaml_vendor" "rcutils" "rmw")

# Set the visibility to hidden by default if possible
if(CMAKE_C_COMPILER_ID STREQUAL "GNU" OR CMAKE_C_COMPILER_ID MATCHES "Clang")
  # Set the visibility of symbols to hidden by default for gcc and clang
  # (this is already the default on Windows)
  set_target_properties(${PROJECT_NAME}
    PROPERTIES
    COMPILE_FLAGS "-fvisibility=hidden"
  )
endif()

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(${PROJECT_NAME} PRIVATE "RCL_YAML_PARAM_PARSER_BUILDING_DLL")

install(TARGETS ${PROJECT_NAME} EXPORT ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin)

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(ament_lint_auto REQUIRED)
  find_package(osrf_testing_tools_cpp REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(performance_test_fixture REQUIRED)
  # Give cppcheck hints about macro definitions coming from outside this package
  get_target_property(ament_cmake_cppcheck_ADDITIONAL_INCLUDE_DIRS
    performance_test_fixture::performance_test_fixture INTERFACE_INCLUDE_DIRECTORIES)

  # Gtests
  ament_add_gtest(test_namespace
    test/test_namespace.cpp
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
  )
  if(TARGET test_namespace)
    ament_target_dependencies(test_namespace
      "rcutils"
      "osrf_testing_tools_cpp"
    )
    target_compile_definitions(test_namespace PUBLIC RCUTILS_ENABLE_FAULT_INJECTION)
    target_link_libraries(test_namespace ${PROJECT_NAME})
  endif()

  ament_add_gtest(test_node_params
    test/test_node_params.cpp
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
  )
  if(TARGET test_node_params)
    ament_target_dependencies(test_node_params
      "rcutils"
      "osrf_testing_tools_cpp"
    )
    target_link_libraries(test_node_params ${PROJECT_NAME})
  endif()

  ament_add_gtest(test_parse_yaml
    test/test_parse_yaml.cpp
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
  )
  if(TARGET test_parse_yaml)
    target_link_libraries(test_parse_yaml ${PROJECT_NAME})
    target_include_directories(test_parse_yaml
      PRIVATE ${osrf_testing_tools_cpp_INCLUDE_DIRS})
  endif()

  ament_add_gtest(test_parse
    test/test_parse.cpp
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
  )
  if(TARGET test_parse)
    ament_target_dependencies(test_parse
      "rcutils"
      "osrf_testing_tools_cpp"
    )
    target_link_libraries(test_parse ${PROJECT_NAME} mimick)
  endif()

  ament_add_gtest(test_parser
    test/test_parser.cpp
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
  )
  if(TARGET test_parser)
    ament_target_dependencies(test_parser
      "rcutils"
      "osrf_testing_tools_cpp"
    )
    target_link_libraries(test_parser ${PROJECT_NAME} mimick)
    target_compile_definitions(test_parser PUBLIC RCUTILS_ENABLE_FAULT_INJECTION)
  endif()

  ament_add_gtest(test_parser_multiple_nodes
    test/test_parser_multiple_nodes.cpp
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
    TIMEOUT 240  # Large timeout to wait for fault injection tests
  )
  if(TARGET test_parser_multiple_nodes)
    ament_target_dependencies(test_parser_multiple_nodes
      "rcutils"
      "osrf_testing_tools_cpp"
    )
    target_link_libraries(test_parser_multiple_nodes ${PROJECT_NAME} mimick)
    target_compile_definitions(test_parser_multiple_nodes PUBLIC RCUTILS_ENABLE_FAULT_INJECTION)
  endif()

  ament_add_gtest(test_parser_multiple_params
    test/test_parser_multiple_params.cpp
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
  )
  if(TARGET test_parser_multiple_params)
    ament_target_dependencies(test_parser_multiple_params
      "rcutils"
      "osrf_testing_tools_cpp"
    )
    target_link_libraries(test_parser_multiple_params ${PROJECT_NAME} mimick)
    target_compile_definitions(test_parser_multiple_params PUBLIC RCUTILS_ENABLE_FAULT_INJECTION)
  endif()

  ament_add_gtest(test_yaml_variant
    test/test_yaml_variant.cpp
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
  )
  if(TARGET test_yaml_variant)
    ament_target_dependencies(test_yaml_variant
      "rcutils"
      "osrf_testing_tools_cpp"
    )
    target_link_libraries(test_yaml_variant ${PROJECT_NAME})
  endif()

  add_performance_test(benchmark_parse_yaml test/benchmark/benchmark_parse_yaml.cpp
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}")
  if(TARGET benchmark_parse_yaml)
    target_link_libraries(benchmark_parse_yaml ${PROJECT_NAME})
    ament_target_dependencies(benchmark_parse_yaml
      "rcpputils"
      "rcutils"
    )
  endif()

  add_performance_test(benchmark_variant test/benchmark/benchmark_variant.cpp)
  if(TARGET benchmark_variant)
    target_link_libraries(benchmark_variant ${PROJECT_NAME})
    ament_target_dependencies(benchmark_variant
      "rcutils"
    )
  endif()
endif()

# Export old-style CMake variables
ament_export_include_directories("include/${PROJECT_NAME}")
ament_export_libraries(${PROJECT_NAME})

# Export modern CMake targets
ament_export_targets(${PROJECT_NAME})

ament_export_dependencies(ament_cmake libyaml_vendor)
ament_export_dependencies(rmw)
install(
  DIRECTORY include/
  DESTINATION include/${PROJECT_NAME}
)
ament_package()

=== debian/changelog ===
ros-humble-rcl-yaml-param-parser (5.3.4-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 17 Jul 2023 00:00:00 -0000

ros-humble-rcl-yaml-param-parser (5.3.3-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 25 Apr 2023 00:00:00 -0000

ros-humble-rcl-yaml-param-parser (5.3.2-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 08 Sep 2022 00:00:00 -0000

ros-humble-rcl-yaml-param-parser (5.3.1-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 26 Apr 2022 00:00:00 -0000

ros-humble-rcl-yaml-param-parser (5.3.0-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 05 Apr 2022 00:00:00 -0000

ros-humble-rcl-yaml-param-parser (5.2.1-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 31 Mar 2022 00:00:00 -0000

ros-humble-rcl-yaml-param-parser (5.2.0-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 24 Mar 2022 00:00:00 -0000

ros-humble-rcl-yaml-param-parser (5.1.0-3jammy) jammy; urgency=high

  * Install includes it include/${PROJECT_NAME} (#959 <https://github.com/ros2/rcl/issues/959>)
  * Contributors: Shane Loretz

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 01 Mar 2022 00:00:00 -0000

ros-humble-rcl-yaml-param-parser (5.0.1-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 14 Jan 2022 00:00:00 -0000

ros-humble-rcl-yaml-param-parser (5.0.0-3jammy) jammy; urgency=high

  * Update maintainers to Ivan Paunovic and William Woodall (#952 <https://github.com/ros2/rcl/issues/952>)
  * Tweak rcl_yaml_param_parser documentation (#939 <https://github.com/ros2/rcl/issues/939>)
  * Contributors: Audrow Nash, Michel Hidalgo

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 14 Dec 2021 00:00:00 -0000

ros-humble-rcl-yaml-param-parser (4.0.0-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 16 Sep 2021 00:00:00 -0000

ros-humble-rcl-yaml-param-parser (3.2.0-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 02 Sep 2021 00:00:00 -0000

ros-humble-rcl-yaml-param-parser (3.1.2-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 26 Apr 2021 00:00:00 -0000

ros-humble-rcl-yaml-param-parser (3.1.1-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 12 Apr 2021 00:00:00 -0000

ros-humble-rcl-yaml-param-parser (3.1.0-3jammy) jammy; urgency=high

  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#909 <https://github.com/ros2/rcl/issues/909>)
  * Contributors: shonigmann

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 06 Apr 2021 00:00:00 -0000

ros-humble-rcl-yaml-param-parser (3.0.1-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 25 Mar 2021 00:00:00 -0000

ros-humble-rcl-yaml-param-parser (3.0.0-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 23 Mar 2021 00:00:00 -0000

ros-humble-rcl-yaml-param-parser (2.6.0-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 18 Mar 2021 00:00:00 -0000

ros-humble-rcl-yaml-param-parser (2.5.2-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 05 Feb 2021 00:00:00 -0000

ros-humble-rcl-yaml-param-parser (2.5.1-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 25 Jan 2021 00:00:00 -0000

ros-humble-rcl-yaml-param-parser (2.5.0-3jammy) jammy; urgency=high

  * Enable compiler warnings (#831 <https://github.com/ros2/rcl/issues/831>)
  * Update QDs to QL 1 (#866 <https://github.com/ros2/rcl/issues/866>)
  * Rearrange test logic to avoid reference to null (#862 <https://github.com/ros2/rcl/issues/862>)
  * Update QL (#858 <https://github.com/ros2/rcl/issues/858>)
  * Make sure to initialize the end_mark for yaml_event_t (#849 <https://github.com/ros2/rcl/issues/849>)
  * Contributors: Alejandro Hernández Cordero, Audrow Nash, Chris Lalancette, Stephen Brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 08 Dec 2020 00:00:00 -0000

ros-humble-rcl-yaml-param-parser (2.4.0-3jammy) jammy; urgency=high

  * Check for valid node names in parameters files (#809 <https://github.com/ros2/rcl/issues/809>)
  * Contributors: Chen Lihui

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 19 Oct 2020 00:00:00 -0000

ros-humble-rcl-yaml-param-parser (2.3.0-3jammy) jammy; urgency=high

  * Update maintainers (#825 <https://github.com/ros2/rcl/issues/825>)
  * Updated performance section QD (#817 <https://github.com/ros2/rcl/issues/817>)
  * Several memory-related fixes for rcl_variant_t benchmarks (#813 <https://github.com/ros2/rcl/issues/813>)
  * Improved rcl_yaml_param_parser benchmark test (#810 <https://github.com/ros2/rcl/issues/810>)
  * Added benchmark test to rcl_yaml_param_parser (#803 <https://github.com/ros2/rcl/issues/803>)
  * Remove MAX_NUM_PARAMS_PER_NODE and MAX_NUM_NODE_ENTRIES limitation. (#802 <https://github.com/ros2/rcl/issues/802>)
  * Add mocking unit tests for rcl_yaml_param_parser (coverage part 3/3) (#772 <https://github.com/ros2/rcl/issues/772>)
  * Add fault-injection unit tests (coverage part 2/3) (#766 <https://github.com/ros2/rcl/issues/766>)
  * Add basic unit tests for refactored functions in rcl_yaml_param_parser (coverage part 1/3) (#771 <https://github.com/ros2/rcl/issues/771>)
  * Fix yaml parser error when meets .nan (refactor on #754 <https://github.com/ros2/rcl/issues/754>) (#781 <https://github.com/ros2/rcl/issues/781>)
  * Contributors: Alejandro Hernández Cordero, Chen Lihui, Ivan Santiago Paunovic, Scott K Logan, brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 19 Oct 2020 00:00:00 -0000

ros-humble-rcl-yaml-param-parser (2.2.0-3jammy) jammy; urgency=high



=== debian/control ===
Source: ros-humble-rcl-yaml-param-parser
Section: misc
Priority: optional
Maintainer: Ivan Paunovic <ivanpauno@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), libyaml-dev, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-cmake-ros, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-libyaml-vendor, ros-humble-mimick-vendor <!nocheck>, ros-humble-osrf-testing-tools-cpp <!nocheck>, ros-humble-performance-test-fixture <!nocheck>, ros-humble-rcpputils <!nocheck>, ros-humble-rcutils, ros-humble-rmw, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rcl-yaml-param-parser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-dev, ros-humble-libyaml-vendor, ros-humble-rmw, ros-humble-ros-workspace
Description: Parse a YAML parameter file and populate the C data structure.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rcl-yaml-param-parser//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-rcl-yaml-param-parser 5.3.8

=== debian/changelog ===
ros-humble-rcl-yaml-param-parser (5.3.8-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 14 May 2024 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (5.3.7-1bookworm) bookworm; urgency=high

  * Fix for incorrect integer value conversion on Windows (#1126 <https://github.com/ros2/rcl/issues/1126>) (#1128 <https://github.com/ros2/rcl/issues/1128>)
  * Contributors: mergify[bot]

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (5.3.6-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 12 Nov 2023 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (5.3.5-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 18 Sep 2023 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (5.3.4-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 16 Jul 2023 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (5.3.3-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 24 Apr 2023 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (5.3.2-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 07 Sep 2022 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (5.3.1-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 25 Apr 2022 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (5.3.0-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 04 Apr 2022 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (5.2.1-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 30 Mar 2022 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (5.2.0-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 23 Mar 2022 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (5.1.0-1bookworm) bookworm; urgency=high

  * Install includes it include/${PROJECT_NAME} (#959 <https://github.com/ros2/rcl/issues/959>)
  * Contributors: Shane Loretz

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (5.0.1-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 13 Jan 2022 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (5.0.0-1bookworm) bookworm; urgency=high

  * Update maintainers to Ivan Paunovic and William Woodall (#952 <https://github.com/ros2/rcl/issues/952>)
  * Tweak rcl_yaml_param_parser documentation (#939 <https://github.com/ros2/rcl/issues/939>)
  * Contributors: Audrow Nash, Michel Hidalgo

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 13 Dec 2021 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (4.0.0-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 15 Sep 2021 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (3.2.0-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 01 Sep 2021 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (3.1.2-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 25 Apr 2021 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (3.1.1-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 11 Apr 2021 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (3.1.0-1bookworm) bookworm; urgency=high

  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#909 <https://github.com/ros2/rcl/issues/909>)
  * Contributors: shonigmann

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 05 Apr 2021 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (3.0.1-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 24 Mar 2021 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (3.0.0-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 22 Mar 2021 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (2.6.0-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 17 Mar 2021 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (2.5.2-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 04 Feb 2021 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (2.5.1-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 24 Jan 2021 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (2.5.0-1bookworm) bookworm; urgency=high

  * Enable compiler warnings (#831 <https://github.com/ros2/rcl/issues/831>)
  * Update QDs to QL 1 (#866 <https://github.com/ros2/rcl/issues/866>)
  * Rearrange test logic to avoid reference to null (#862 <https://github.com/ros2/rcl/issues/862>)
  * Update QL (#858 <https://github.com/ros2/rcl/issues/858>)
  * Make sure to initialize the end_mark for yaml_event_t (#849 <https://github.com/ros2/rcl/issues/849>)
  * Contributors: Alejandro Hernández Cordero, Audrow Nash, Chris Lalancette, Stephen Brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 07 Dec 2020 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (2.4.0-1bookworm) bookworm; urgency=high

  * Check for valid node names in parameters files (#809 <https://github.com/ros2/rcl/issues/809>)
  * Contributors: Chen Lihui

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 18 Oct 2020 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (2.3.0-1bookworm) bookworm; urgency=high

  * Update maintainers (#825 <https://github.com/ros2/rcl/issues/825>)
  * Updated performance section QD (#817 <https://github.com/ros2/rcl/issues/817>)
  * Several memory-related fixes for rcl_variant_t benchmarks (#813 <https://github.com/ros2/rcl/issues/813>)
  * Improved rcl_yaml_param_parser benchmark test (#810 <https://github.com/ros2/rcl/issues/810>)
  * Added benchmark test to rcl_yaml_param_parser (#803 <https://github.com/ros2/rcl/issues/803>)


=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rcl-yaml-param-parser//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rcl-yaml-param-parser//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-rcl-yaml-param-parser//opt/ros/humble/opt/rcl_yaml_param_parser/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
